org.eclipse.eef.ide.ui.internal

## Class Updater

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.Updater

All Implemented Interfaces:
  java.util.function.Consumer<java.util.List<org.eclipse.emf.common.notify.Notification>>

    public class Updater
    extends java.lang.Object
    implements java.util.function.Consumer<java.util.List<org.eclipse.emf.common.notify.Notification>>

A post-commit listener which refreshes the whole page when a significant change (an actual modification of a model element) occurs in the current editing domain.

### Constructor Summary

Constructors
Constructor and Description
`Updater(EEFTab section, IEEFFormContainer formContainer)` Creates a new updater.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(java.util.List<org.eclipse.emf.common.notify.Notification> value)`
`void` `disable()` Stop listening to changes from the editing domain.
`void` `enable()` Start listening to changes from the current editing domain.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

### Constructor Detail

#### Updater

    public Updater(EEFTab section,
                   IEEFFormContainer formContainer)

Creates a new updater.

Parameters:
  `section` - The section to refresh.
  `formContainer` - The container of the form.

### Method Detail

#### enable

    public void enable()

Start listening to changes from the current editing domain.

#### disable

    public void disable()

Stop listening to changes from the editing domain.

#### accept

    public void accept(java.util.List<org.eclipse.emf.common.notify.Notification> value)

Specified by:
  `accept` in interface `java.util.function.Consumer<java.util.List<org.eclipse.emf.common.notify.Notification>>`